//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
#include <vector>

#define STR_ADDRESS "Address Publics by Name"	///< start of section with function addresses
struct S_FNADDR
{
	unsigned int address;
	AnsiString function;
};

//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *Help1;
	TMenuItem *About1;
	TMenuItem *Openmapfile1;
	TMenuItem *Exit1;
	TOpenDialog *OpenDialog;
	TEdit *edAVaddress;
	TLabel *Label1;
	TProgressBar *pbProgress;
	TLabel *lblStatus;
	TEdit *edImageBase;
	TLabel *Label2;
	TEdit *edCodeBase;
	TLabel *Label3;
	TButton *btnSearch;
	TLabel *Label4;
	TLabel *Label5;
	TEdit *edDiff;
	TLabel *Label6;
	TEdit *edFunction;
	void __fastcall About1Click(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall Openmapfile1Click(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall btnSearchClick(TObject *Sender);
private:	// User declarations
	TStringList *slFileLines;	///< list with map file lines
	std::vector<S_FNADDR> functions;
public:		// User declarations
	__fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
